﻿using eTraining.Models;
using Kometa.ViewModels;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace Kometa
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        eTraining.ViewModels.MainWindowViewModel eTrainingDatacontext = new eTraining.ViewModels.MainWindowViewModel();
        KompetencniMatice.ViewModels.MainWindowViewModel maticeDatacontext = new KompetencniMatice.ViewModels.MainWindowViewModel();
        Nabidka.ViewModels.MainWindowViewModel nabidkaDatacontext = new Nabidka.ViewModels.MainWindowViewModel();
        MainWindowViewModel dashboardDatacontext = new MainWindowViewModel();
        public MainWindow()
        {
            InitializeComponent();
        }

        private void btnKompetencniMatice_Click(object sender, RoutedEventArgs e)
        {
            KompetencniMatice.Properties.Settings.Default.idUseku = (lvCheckList.SelectedItem as Usek).id;
            maticeDatacontext.NactiData();
            KompetencniMaticeWindow.Visibility = Visibility.Visible;
            KompetencniMaticeWindow.Children.OfType<UserControl>().ToList().ForEach(x => x.Visibility = Visibility.Visible);
        }

        private void btnTraining_Click(object sender, RoutedEventArgs e)
        {
            eTraining.Properties.Settings.Default.idUseku = (lvCheckList.SelectedItem as Usek).id;
            eTrainingDatacontext.NactiData();
            TrainingWindow.Visibility = Visibility.Visible;
            TrainingWindow.Children.OfType<UserControl>().ToList().ForEach(x => x.Visibility = Visibility.Visible);
        }

        private void btnNabidka_Click(object sender, RoutedEventArgs e)
        {
            nabidkaDatacontext.NactiData();
            NabidkaWindow.Visibility = Visibility.Visible;
            NabidkaWindow.Children.OfType<UserControl>().ToList().ForEach(x => x.Visibility = Visibility.Visible);
            
        }
        private void BtnZavritApl_Click(object sender, RoutedEventArgs e)
        {
            Application.Current.Shutdown();
        }

        private void mainWindow_Loaded(object sender, RoutedEventArgs e)
        {
            this.DataContext = dashboardDatacontext;
            KompetencniMaticeWindow.DataContext = maticeDatacontext;
            NabidkaWindow.DataContext = nabidkaDatacontext;
            TrainingWindow.DataContext = eTrainingDatacontext;
        }

        
    }
}
