﻿using Support;
using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Data.SqlClient;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;

namespace KompetencniMatice.Models
{
    public class Trida
    {
        public int id { get; set; }
        public string nazev { get; set; }
        public string dlouhyNazev { get; set; }
        public static ObservableCollection<Trida> SelectTridyProCB()
        {
            ObservableCollection<Trida> seznam = new ObservableCollection<Trida>();
            seznam.Add(new Trida { id = 0, nazev = "-" });

            String sqlStr = "SELECT id, nazev, dlouhyNazev FROM Matice_Trida";

            using (SqlConnection conn = new SqlConnection(ConnectionString.connectionString))
            {
                try
                {
                    conn.Open();
                    SqlCommand cmd = new SqlCommand(sqlStr, conn);
                    SqlDataReader reader = cmd.ExecuteReader();
                    Trida item;

                    while (reader.Read())
                    {
                        item = new Trida();
                        item.id = reader.GetInt32(0);
                        item.nazev = reader.GetValue(1).ToString();
                        item.dlouhyNazev = reader.GetValue(2).ToString();

                        seznam.Add(item);
                    }

                    cmd.Dispose();

                }

                catch (Exception ex)
                {
                    MessageBox.Show(ex.Message, "Problém s připojením");
                }
                finally
                {
                    conn.Close();
                }
            }
            return seznam;
        }
    }
}
