﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;

namespace Nabidka.DialogWindows
{
    /// <summary>
    /// Interaction logic for ZruseniInzeratu.xaml
    /// </summary>
    public partial class ZruseniInzeratu : Window, INotifyPropertyChanged
    {
        public event PropertyChangedEventHandler PropertyChanged;

        protected void OnPropertyChanged(string propertyName)
        {
            PropertyChanged?.Invoke(this, new PropertyChangedEventArgs(propertyName));
        }
        public bool OK = false;
        private string _text;

        public string Text
        {
            get { return _text; }
            set
            {
                if (value != _text)
                {
                    _text = value;
                    OnPropertyChanged("Text");
                }
            }
        }
        public ZruseniInzeratu()
        {
            InitializeComponent();
            this.DataContext = this;
        }

        private void btnZavrit_Click(object sender, RoutedEventArgs e)
        {
            OK = false;
            this.Close();
        }

        private void btnPotvrdit_Click(object sender, RoutedEventArgs e)
        {
            OK = true;
            this.Close();
        }
    }
}
