﻿using System;
using System.Globalization;
using System.Windows.Data;

namespace eTraining.Converters
{
    [ValueConversion(typeof(bool), typeof(Double))]
    class BooleanToOpacityConverter : IValueConverter
    {
        public object Convert(object value, Type targetType, object parameter, CultureInfo culture)
        {
            if (value is Boolean)
            {
                if ((bool)value) return 0.6;
                else return 1;
            }

            return value;
        }

        public object ConvertBack(object value, Type targetType, object parameter, CultureInfo culture)
        {
            throw new NotImplementedException();
        }
    }
}
