﻿using System;
using System.Globalization;
using System.Windows;
using System.Windows.Data;

namespace eTraining.Converters
{
    [ValueConversion(typeof(int), typeof(string))]
    class HodnoceniToBarvaConverter : IValueConverter
    {
        public object Convert(object value, Type targetType, object parameter, CultureInfo culture)
        {
            if (value != null && (int)value > 2)
                return "#006249";
            else
                return "#005691";

        }

        public object ConvertBack(object value, Type targetType, object parameter, CultureInfo culture)
        {
            return Binding.DoNothing;
        }
    }
}
