﻿using System;
using System.Globalization;
using System.Windows;
using System.Windows.Data;

namespace eTraining.Converters
{
    [ValueConversion(typeof(int), typeof(string))]
    class OpravneniToTextConverter : IValueConverter
    {
        public object Convert(object value, Type targetType, object parameter, CultureInfo culture)
        {
            if (value is int)
            {
                switch ((int)value)
                {
                    case 1: return "Admin";
                    case 2: return "Čtení/Zápis";
                    case 3: return "Čtení";
                    default: return "";
                }

            }

            return value;
        }

        public object ConvertBack(object value, Type targetType, object parameter, CultureInfo culture)
        {
            throw new NotImplementedException();
        }
    }
}
