﻿using eTraining.Models;
using Kometa.ViewModels;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;


namespace Kometa.Models
{
    class Uzivatel : ViewModelBase
    {
        private string _ntUser;
        private int _role;
        private string _jmeno;
        private string _prijmeni;
        private string _oddeleni;
        private string _email;
        private ObservableCollection<Usek> _seznamUseku;
        private KompetencniMatice.Models.KontaktniOsoba _kontaktniOsoba;
        public string ntUser
        {
            get { return _ntUser; }
            set
            {
                if (_ntUser == value)
                    return;
                _ntUser = value;
                OnPropertyChanged("ntUser");
            }
        }
        public int role
        {
            get { return _role; }
            set
            {
                if (_role == value)
                    return;
                _role = value;
                OnPropertyChanged("role");
            }
        }
        public string jmeno
        {
            get { return _jmeno; }
            set
            {
                if (_jmeno == value)
                    return;
                _jmeno = value;
                OnPropertyChanged("jmeno");
                OnPropertyChanged("zobrazeneJmeno");
            }
        }
        public string prijmeni
        {
            get { return _prijmeni; }
            set
            {
                if (_prijmeni == value)
                    return;
                _prijmeni = value;
                OnPropertyChanged("prijmeni");
                OnPropertyChanged("zobrazeneJmeno");
            }
        }
        public string oddeleni
        {
            get { return _oddeleni; }
            set
            {
                if (_oddeleni == value)
                    return;
                _oddeleni = value;
                OnPropertyChanged("oddeleni");
            }
        }
        public string email
        {
            get { return _email; }
            set
            {
                if (_email == value)
                    return;
                _email = value;
                OnPropertyChanged("email");
            }
        }
        public ObservableCollection<Usek> seznamUseku
        {
            get { return _seznamUseku; }
            set
            {
                if (_seznamUseku == value)
                    return;
                _seznamUseku = value;
                OnPropertyChanged("seznamUseku");
            }
        }
        public string zobrazeneJmeno
        {
            get { return prijmeni + " " + jmeno; }
            set
            {
                OnPropertyChanged("zobrazeneJmeno");
            }
        }
        public string inicial
        {
            get { return prijmeni[0] +""+ jmeno[0]; }
            set
            {
                OnPropertyChanged("inicial");
            }
        }
        public KompetencniMatice.Models.KontaktniOsoba kontaktniOsoba
        {
            get { return _kontaktniOsoba; }
            set
            {
                if (_kontaktniOsoba == value)
                    return;
                _kontaktniOsoba = value;
                OnPropertyChanged("kontaktniOsoba");
            }
        }
    }
}