﻿using Support;
using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Data.SqlClient;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;

namespace KompetencniMatice.Models
{
    class TypVyroby
    {
        public int id { get; set; }
        public string nazev { get; set; }

        public static List<TypVyroby> SelectTypyVyroby()
        {

            List<TypVyroby> seznam = new List<TypVyroby>();
            String sqlStr = "SELECT * FROM Matice_TypVyroby";

            using (SqlConnection conn = new SqlConnection(ConnectionString.connectionString))
            {
                try
                {
                    conn.Open();
                    SqlCommand cmd = new SqlCommand(sqlStr, conn);
                    SqlDataReader reader = cmd.ExecuteReader();
                    TypVyroby item;

                    while (reader.Read())
                    {
                        item = new TypVyroby();
                        item.id = reader.GetInt32(0);
                        item.nazev = reader.GetValue(1).ToString();

                        seznam.Add(item);
                    }

                    cmd.Dispose();

                }

                catch (Exception ex)
                {
                    MessageBox.Show(ex.Message, "Problém s připojením");
                }
                finally
                {
                    conn.Close();
                }
            }
            return seznam;
        }
    }
}
