﻿using System;
using System.Globalization;
using System.Windows.Data;

namespace Nabidka.Converters
{
    [ValueConversion(typeof(bool), typeof(bool))]
    class BooleanInverterConverter : IValueConverter
    {
        public object Convert(object value, Type targetType, object parameter, CultureInfo culture)
        {
            if (value is Boolean)
            {
                return !(bool)value;
            }

            return value;
        }

        public object ConvertBack(object value, Type targetType, object parameter, CultureInfo culture)
        {
            if (value is Boolean)
            {
                return !(bool)value;
            }

            return value;
        }
    }
}
