﻿using System;
using System.Windows.Controls;

namespace Nabidka.ValidationRules
{
    class ComboboxSelectedValueValidation : ValidationRule
    {
        public override ValidationResult Validate(object value, System.Globalization.CultureInfo cultureInfo)
        {
            if (value != null && value as string != "")
            {
                return ValidationResult.ValidResult;
            }
            else
            {
                return new ValidationResult(false, "Vyberte pole");
            }
        }
    }
}
