﻿using System.Windows.Controls;

namespace Nabidka.ValidationRules
{
    class StringEmptyValidation : ValidationRule
    {
        public override ValidationResult Validate(object value, System.Globalization.CultureInfo cultureInfo)
        {
            string str = value as string;
            if (!string.IsNullOrEmpty(str))
            {
                return ValidationResult.ValidResult;
            }
            else
            {
                return new ValidationResult(false, "Toto pole nesmí být prázdné");
            }
        }
    }
}
