﻿using System;
using System.Globalization;
using System.Windows;
using System.Windows.Data;

namespace eTraining.Converters
{
    [ValueConversion(typeof(int), typeof(Boolean))]
    class StaniceProcentaToBoolean : IValueConverter
    {
        public object Convert(object value, Type targetType, object parameter, CultureInfo culture)
        {
            if (value != null && (int)value > 70)
                return true;
            else
                return false;

        }

        public object ConvertBack(object value, Type targetType, object parameter, CultureInfo culture)
        {
            return Binding.DoNothing;
        }
    }
}
