﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace eTraining.Views.AdministraceView
{
    /// <summary>
    /// Interaction logic for AdministraceControl.xaml
    /// </summary>
    public partial class AdministraceControl : UserControl
    {
        public AdministraceControl()
        {
            InitializeComponent();
            MaskaStanic.SeznamMasek.IsVisibleChanged += SeznamMasek_IsVisibleChanged;
            Opravneni.SeznamOsob.IsVisibleChanged += SeznamOsob_IsVisibleChanged;
        }
        private void SeznamMasek_IsVisibleChanged(object sender, DependencyPropertyChangedEventArgs e)
        {
            if (MaskaStanic.SeznamMasek.Visibility == Visibility.Visible)
            {
                PridatMasku.IsChecked = false;
                EditaceMasky.IsChecked = false;
            }
        }
        private void SeznamOsob_IsVisibleChanged(object sender, DependencyPropertyChangedEventArgs e)
        {
            if (Opravneni.SeznamOsob.Visibility == Visibility.Visible)
            {
                NovaOsoba.IsChecked = false;
                EditaceOsoby.IsChecked = false;
            }
        }
    }
}
